booster::clone_ptr< T > Class Template Reference

a smart pointer similar to std::auto_ptr but it clones (by calling T::clone()) underlying object on copy instead of moving its ownership. More...

`#include <booster/booster/clone_ptr.h>`

## Public Member Functions

| clone_ptr (T *v)
| clone_ptr (clone_ptr const &other)
clone_ptr const & | operator= (clone_ptr const &other)
T * | get () const
T & | operator* () const
T * | operator-> () const
T * | release ()
void | reset (T *p=0)
void | swap (clone_ptr &other)

## Detailed Description

### template<typename T>
class booster::clone_ptr< T >

a smart pointer similar to std::auto_ptr but it clones (by calling T::clone()) underlying object on copy instead of moving its ownership.

The documentation for this class was generated from the following file:

- booster/clone_ptr.h